<?xml version="1.0"?>
<!-- 
(c)2006 David Sporn

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public
License version 2.1 as published by the Free Software Foundation.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!-- xsl:output method="text"/ -->

<!-- Main part -->
<xsl:template match="RequestProcessor">
	<bean>
		<xsl:attribute name="classname"><xsl:value-of select="concat(@classname, 'Bean')"/></xsl:attribute>
		<description>Conversion from <xsl:value-of select="@classname"/> request definition file...</description>
		<xsl:apply-templates />
	</bean>
</xsl:template>

<xsl:template match="property">
	<property>
		<xsl:attribute name="name"><xsl:value-of select="@name"/></xsl:attribute>
		<xsl:copy-of select="description"/>
	</property>
</xsl:template>
</xsl:stylesheet>